=== debian/changelog ===
oci-image-tools (1.0.0~rc2+really.rc1+dfsg-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Reinhard Tartler ]
  * fix autopkg test by avoiding dependency on outdated bzip2 compressor

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 15 Dec 2020 12:55:10 -0500

oci-image-tools (1.0.0~rc2+really.rc1+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #900900).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 07 Jun 2018 01:01:20 +1000
