=== debian/control ===
Source: oci-image-tools
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper-compat (= 12),dh-golang,
               golang-any
    ,golang-github-opencontainers-go-digest-dev
    ,golang-github-opencontainers-image-spec-dev
    ,golang-github-opencontainers-specs-dev
    ,golang-github-pkg-errors-dev
    ,golang-github-sirupsen-logrus-dev
    ,golang-github-urfave-cli-dev
    ,go-md2man
    ,bash-completion
Standards-Version: 4.1.4
Homepage: https://github.com/opencontainers/image-tools
Vcs-Browser: https://salsa.debian.org/go-team/packages/oci-image-tools
Vcs-Git: https://salsa.debian.org/go-team/packages/oci-image-tools.git
XS-Go-Import-Path: github.com/opencontainers/image-tools
Testsuite: autopkgtest-pkg-go

Package: oci-image-tool
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: OCI image tooling
 oci-image-tool is a collection of tools for working with the OCI image
 format specification (https://github.com/opencontainers/image-spec).
