=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_build:
	dh_auto_build
	$(MAKE) man

override_dh_auto_install:
	dh_auto_install -- --no-source

%:
	dh $@ --buildsystem=golang --with=golang,bash-completion
