=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=s{[+~]dfsg\d*}{},\
uversionmangle=s{\-[Rr][Cc]}{~rc},\
" https://github.com/opencontainers/image-tools/releases \
  .*/archive/v?(\d[\d\.\-rc]+)\.tar\.gz
